%global momorel 7
Name:		qca-tls
Version:	1.0
Release:	%{momorel}m%{?dist}

Summary:	TLS plugin for the Qt Cryptographic Architecture
License:	LGPL
Group:		Applications/Internet
URL:		http://delta.affinix.com/qca/
Source0:	http://delta.affinix.com/qca/qca-tls-1.0.tar.bz2
# Fix build in mach for QT apps
Patch0:		qca-tls-1.0-mach.patch
# Missing ifdefs for openssl 0.9.8
Patch1:     qca-tls-1.0-ossl098.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt3-devel >= 3.3.7
# To build with openssl 0.9.7, disable patch1
BuildRequires:	openssl-devel >= 0.9.8

%description
This is a plugin to provide SSL/TLS capability to programs that use the Qt
Cryptographic Architecture (QCA).  QCA is a library providing an easy API
for several cryptographic algorithms to Qt programs.  This package only
contains the TLS plugin.

%prep
%setup -q
%patch0 -p0 -b .mach
%patch1 -p0 -b .ossl098

%build
QTDIR="" && . %{_sysconfdir}/profile.d/qt.sh

./configure \
    --qtdir=$QTDIR
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

export INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}$QTDIR/plugins/crypto
make install


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README COPYING
%attr(755,root,root) %{_libdir}/qt-*/plugins/crypto

%changelog
* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-7m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-6m)
- rebuild against rpm-4.6

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-5m)
- rebuild against openssl-0.9.8h-1m

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-4m)
- rebuild against qt3

* Sun Apr 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-3m)
- we must set QTDIR for qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43

* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-1m)
- import from f7 to Momonga

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0-10
- rebuild

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0-9
- rebuild for FC5

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-8
- fix patch1

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-7
- build for openssl 0.9.8

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-6
- fix BRs

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0-5
- rebuild for new openssl

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.0-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Jun 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- License is LGPL
- BR: XFree86-devel
- own the crypto dir (see bug 1738)

* Fri Jun 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- Initial RPM, split from psi
